Package org.eclipse.graphiti.ui.editor

## Class DefaultPersistencyBehavior.SaveException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.graphiti.ui.editor.DefaultPersistencyBehavior.SaveException

All Implemented Interfaces:
  `java.io.Serializable`

Enclosing class:
  DefaultPersistencyBehavior

    protected final class DefaultPersistencyBehavior.SaveException
    extends java.lang.RuntimeException

Since:
  0.13
See Also:
  Serialized Form

### Constructor Summary

Constructors
`SaveException​(org.eclipse.core.runtime.MultiStatus status)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.core.runtime.MultiStatus` `getStatus()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SaveException

    public SaveException​(org.eclipse.core.runtime.MultiStatus status)

### Method Detail

#### getStatus

    public org.eclipse.core.runtime.MultiStatus getStatus()

Returns:
  the status